Graph::Easy::Attributes(3)

NAME
Graph::Easy::Attributes - Define and check attributes for Graph::Easy

SYNOPSIS
        use Graph::Easy;

        my $graph = Graph::Easy->new();

        my $hexred = Graph::Easy->color_as_hex( 'red' );
        my ($name, $value) = $graph->valid_attribute( 'color', 'red', 'graph' );
        print "$name => $value\n" if !ref($value);

DESCRIPTION
"Graph::Easy::Attributes" contains the definitions of valid attribute names and values for Graph::Easy. It is used by both the parser and by Graph::Easy to check attributes for being valid and well-formed.

There should be no need to use this module directly.

For a complete list of attributes and their possible values, please see Graph::Easy::Manual.

EXPORT
Exports nothing.

SEE ALSO
Graph::Easy.

AUTHOR
Copyright (C) 2004 - 2008 by Tels <http://bloodgate.com>

See the LICENSE file for information.